package com.main;

import com.methods.RequestResponse;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Properties;

public class Scheduler implements Runnable {
  public static Properties prop = new Properties();

  public void run() {
    DateFormat sdf = new SimpleDateFormat("ddMMyyyy");

    Calendar cal = Calendar.getInstance();
    cal.setTime(new Date());
    cal.add(6, -1);

    String dateToday = sdf.format(cal.getTime());

    System.out.println("Scheduled Run Begins in...." + new Date());
    try {
      ArrayList<String> urlList = RequestResponse.getUrl();
      for (int i = 0; i < urlList.size(); i++) {
        System.out.println("Iterating for Next Bank API");

        try {
          RequestResponse.get_response(urlList.get(i), dateToday);
        } catch (Exception e) {

          e.printStackTrace();
        }
      }

    } catch (Exception e) {

      e.printStackTrace();
    }

    System.out.println("End of Scheduled Run");
  }
}